Change Candlepin ExpiredPoolsJob to run once every 24h

01/22/2020 07:24 PM - Mike McCune

Status: Closed   

Priority: High   

Assignee: Mike McCune   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-ca

ndlepin/pull/141

  

Description

Description

Due to performance issues in large environments we need to update the ExpiredPoolsJob to only run once every 24 hours instead of

the current default of every hour.

See: https://bugzilla.redhat.com/show_bug.cgi?id=1793092 for more background

With the large Organizations in Foreman, it may take more than 60 minutes to complete the ExpiredPoolsJob so we need to give it

more time as well as reduce the daily load on Candlepin with the current scheme of once every 60 minutes.

Associated revisions

Revision 29d10fcd - 01/23/2020 04:53 PM - Mike McCune 

Fixes #28841 - default to every 24 hours instead of every hour

History

#1 - 01/22/2020 07:26 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-candlepin/pull/141 added

#2 - 01/23/2020 04:53 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#3 - 01/23/2020 05:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-candlepin|29d10fcd334063f5726f796d3b896c14f6045d00.
